﻿@using WebServiceBook.ViewModels;
@using WebServiceBook.Models;


@{
    Layout = null;
}

@model RecordsListViewModel

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Records</title>
</head>
<body>
    @{
        Html.RenderPartial("Menu");
    }

    <div>
        <table border="1" style="margin: auto">
            <tr>
                <td>
                    Name
                </td>
                <td>
                    Price
                </td>
                <td>
                    Mileage
                </td>
            </tr>
            @foreach (Record record in Model.RecordsList)
            {
                <tr>
                    <td>
                        @record.Name
                    </td>
                    <td>
                        @record.Cost @record.Currency
                    </td>
                    <td>
                        @record.Mileage @record.MileageUnit
                    </td>
                </tr>
            }
        </table>
    </div>

    @{
        Html.RenderPartial("Footer");
    }
</body>
</html>
